/*                            W3C Reference Library libwww Default MIME/RFC822 Header Parsers
                            DEFAULT MIME/RFC822 HEADER PARSER
                                             
 */
/*
**      (c) COPYRIGHT MIT 1995.
**      Please first read the full copyright statement in the file COPYRIGH.
*/
/*

   The Library's MIME parser is divided into two parts: A generic MIME parser that knows
   how to unwrap all RFC822 headers and specialized header parsers that knows how to parse
   Content-Length, for example. This is the default set of the specialized MIME header
   parsers that can be registered as part of the generic MIME. Note that these functions
   are not registered by default - they must be registered by the application. This can be
   done using the HTMIMEInit() function in the WWWInit interface. Of course this can also
   be used to register new headers that are not represented below - or if you want to
   replace a default parser then this is also very easy.
   
   This module is implemented by HTMIMImp.c, and it is a part of the W3C Reference
   Library.
   
 */
#ifndef HTMIMIMP_H
#define HTMIMIMP_H

#include "HTReq.h"
#include "HTHeader.h"
/*

 */
extern HTParserCallback
        HTMIME_accept,
        HTMIME_acceptCharset,
        HTMIME_acceptEncoding,
        HTMIME_acceptLanguage,
        HTMIME_acceptRanges,
        HTMIME_age,
        HTMIME_allow,
        HTMIME_authorization,
        HTMIME_cacheControl,
        HTMIME_connection,
        HTMIME_contentBase,
        HTMIME_contentEncoding,
        HTMIME_contentLanguage,
        HTMIME_contentLength,
        HTMIME_contentLocation,
        HTMIME_contentMD5,
        HTMIME_contentRange,
        HTMIME_contentTransferEncoding,
        HTMIME_contentType,
        HTMIME_date,
        HTMIME_derivedFrom,
        HTMIME_messageDigest,
        HTMIME_etag,
        HTMIME_expires,
        HTMIME_extension,
        HTMIME_from,
        HTMIME_host,
        HTMIME_ifModifiedSince,
        HTMIME_ifMatch,
        HTMIME_ifNoneMatch,
        HTMIME_ifRange,
        HTMIME_ifUnmodifiedSince,
        HTMIME_lastModified,
        HTMIME_link,
        HTMIME_location,
        HTMIME_maxForwards,
        HTMIME_newsGroups,
        HTMIME_pragma,
        HTMIME_proxyAuthorization,
        HTMIME_public,
        HTMIME_range,
        HTMIME_referer,
        HTMIME_retryAfter,
        HTMIME_server,
        HTMIME_title,
        HTMIME_contentTransferEncoding,
        HTMIME_upgrade,
        HTMIME_uri,
        HTMIME_userAgent,
        HTMIME_vary,
        HTMIME_version,
        HTMIME_via,
        HTMIME_warning,
        HTMIME_authenticate;
/*

 */
#endif
/*

   
   ___________________________________
   
                           @(#) $Id: HTMIMImp.html,v 2.4 1996/08/19 18:30:47 frystyk Exp $
                                                                                          
    */
